/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0""
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
* 
*/

#include "secondpluginfortest.h"
#include "secondpluginviewfortest.h"
#include <cpsettingformentryitemdataimpl.h>

SecondPluginForTest::SecondPluginForTest()
{
}

SecondPluginForTest::~SecondPluginForTest()
{
}
QList<CpSettingFormItemData*> SecondPluginForTest::createSettingFormItemData(CpItemDataHelper &itemDataHelper) const
{
    return QList<CpSettingFormItemData*>() 
            << new CpSettingFormEntryItemDataImpl<SecondPluginViewForTest>(
               itemDataHelper,
               tr("The plugin for test"), 
               tr("TestPlugin."));
}

CpBaseSettingView *SecondPluginForTest::createSettingView(const QVariant &hint) const
{
    SecondPluginViewForTest *pView = new SecondPluginViewForTest();
    return pView;
}

Q_EXPORT_PLUGIN2(SecondPluginForTest, SecondPluginForTest);
